<script lang="ts">
  import { marked } from 'marked';
  import Markdown from '$lib/components/Markdown.svelte';

  export let label: string,
    name: string,
    value = '';
</script>

<section>
    <label class="mb-3 lg:mb-5 block text-xl space-y-1 cursor-pointer">
        <span class="mb-1 lg:mb-1.5">{label}</span>
        <textarea bind:value={value} {name}/>
    </label>
    <span class="text-neutral-600">Превью</span>
    <article class="border-2 border-gray-300 p-8">
        <Markdown text={value}/>
    </article>
</section>

<style lang="postcss">
    textarea {
        @apply appearance-none transition duration-200 outline-none
        border-2 border-gray-300
        py-2 px-3 rounded-3xl w-full
        focus-within:border-blue-700 focus-within:bg-white;
    }
</style>